# $Revision: 1.71 $, $Date: 2011/09/01 17:20:05 $
Summary:	Text based browser for the world wide web
Summary(de.UTF-8):	Text-Browser für das WWW
Summary(es.UTF-8):	w3m es un paginador, pero puede usarse también como un navegador WWW
Summary(fr.UTF-8):	Navigateur en mode texte pour le world wide web
Summary(pl.UTF-8):	Przeglądarka WWW pracująca w trybie tekstowym
Summary(pt_BR.UTF-8):	O w3m é um paginador, mas pode ser usado também como um navegador WWW
Summary(tr.UTF-8):	Metin ekranda WWW tarayıcı
Name:		w3m
Version:	0.5.3
Release:	3
Epoch:		1
License:	MIT-like
Group:		Applications/Networking
Source0:	http://downloads.sourceforge.net/w3m/%{name}-%{version}.tar.gz
# Source0-md5:	1b845a983a50b8dec0169ac48479eacc
Patch0:		%{name}-gzip_fallback.patch
Patch1:		%{name}-nolibs.patch
Patch2:		w3m-0.5.3-parallel-make.patch
Patch3:		w3m-0.5.2-fix_gcc_error.patch
URL:		http://w3m.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gc-devel
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	imlib2-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de.UTF-8
Dies ist ein WWW-Browser auf Terminal-Basis. Während kein Versuch
unternommen wird, Grafiken darzustellen, so bietet er doch guten
Support für HTML-Textformatierung, Formulare und Tabellen.

%description -l es.UTF-8
w3m es un paginador similar a las órdenes more y less. Este paquete
también puede utilizarse como un visualizador de páginas WWW en modo
texto.

%description -l fr.UTF-8
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien gérer le formatage HTML du texte, les formulaires et les
tableaux.

%description -l pl.UTF-8
Przeglądarka WWW działającą w trybie tekstowym. Dobrze formatuje tekst
w HTML, ale nie pozwala na wyświetlanie grafiki.

%description -l pt_BR.UTF-8
O w3m é um paginador similar aos comandos more e less. Este pacote
pode ser ainda utilizado como um visualizador de páginas WWW em modo
texto.

%description -l tr.UTF-8
Metin ekranda çalışan bir WWW tarayıcıdır. Şekil gösteremese de,
formlar ve tablolar için desteği vardır.

%package imgdisplay
Summary:	Image display support for w3m
Summary(pl.UTF-8):	Wyświetlanie obrazków dla w3m
Group:		Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description imgdisplay
Install this package if you want to display images in w3m run on xterm
or Linux framebuffer.

%description imgdisplay -l pl.UTF-8
Ten pakiet pozwala przeglądarce w3m wyświetlać obrazki w xtermie lub
na linuksowym framebufferze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} '/^AC_PROG_CXX$/d' -i configure.ac

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-gopher \
	--enable-image="x11,fb,fb+s" \
	--enable-keymap=lynx \
	--with-editor=/bin/vi \
	--with-imagelib="gdk-pixbuf" \
	--with-mailer=/bin/mail \
	--with-browser=%{_bindir}/mozilla \
	--with-termlib=ncurses

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install install-helpfile \
	DESTDIR=$RPM_BUILD_ROOT

# symlink instead of duplicated file
ln -sf w3mhelp-lynx_en.html $RPM_BUILD_ROOT%{_datadir}/w3m/w3mhelp.html

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/*.html doc/{README,keymap,menu}.* NEWS
%attr(755,root,root) %{_bindir}/w3m
%attr(755,root,root) %{_bindir}/w3mman
%dir %{_libdir}/w3m
%attr(755,root,root) %{_libdir}/w3m/inflate
%attr(755,root,root) %{_libdir}/w3m/xface2xpm
%dir %{_libdir}/w3m/cgi-bin
%attr(755,root,root) %{_libdir}/w3m/cgi-bin/*.cgi
%attr(755,root,root) %{_libdir}/w3m/cgi-bin/w3mbookmark
%attr(755,root,root) %{_libdir}/w3m/cgi-bin/w3mhelperpanel
%dir %{_datadir}/w3m
%{_datadir}/w3m/w3mhelp.html
%{_datadir}/w3m/w3mhelp*en.*
%lang(ja) %{_datadir}/w3m/w3mhelp*ja.*
%{_datadir}/w3m/w3mhelp-funcname.pl
%{_mandir}/man1/w3m.1*
%{_mandir}/man1/w3mman.1*
%lang(ja) %{_mandir}/ja/man1/w3m.1*

%files imgdisplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/w3m/w3mimgdisplay

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: w3m.spec,v $
Revision 1.71  2011/09/01 17:20:05  arekm
- rel 3; fix build

Revision 1.70  2011/09/01 17:03:28  arekm
- release 2

Revision 1.69  2011/01/24 01:26:42  sparky
- remove AC_PROG_CXX from configure.ac, because c++ isn't used

Revision 1.68  2011/01/23 15:52:45  qboosh
- cleanup, more verbose bin files

Revision 1.67  2011/01/22 19:01:36  witekfl
- 0.5.3

Revision 1.66  2010/11/13 12:09:34  pawelz
- release 6

Revision 1.65  2010/05/05 20:59:43  megabajt
- release 5

Revision 1.64  2010/05/04 20:41:43  evil
- add mising BR and enable more w3mimgdisplay backends, making this plugin usable in PLD

Revision 1.63  2010/04/11 14:04:56  uzsolt
- rel up (openssl)

Revision 1.62  2008/08/10 16:36:53  arekm
- release 3

Revision 1.61  2008-02-20 22:35:14  megabajt
- release 2

Revision 1.60  2007-06-04 18:35:35  qboosh
- updated to 0.5.2 (fixes CVE-2006-6772)
- updated nolibs patch
- uses gdk-pixbuf-2.0 now

Revision 1.59  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.58  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.57  2006/09/15 20:36:01  japhy
- Gettextize.

Revision 1.56  2004/06/25 20:30:20  qboosh
- BR: gettext-devel, find_lang is back

Revision 1.55  2004/06/24 22:59:57  kolodko
- up to 0.5.1
- add pkgconfig to BR

Revision 1.54  2004/03/27 08:47:58  qboosh
- updated to 0.5 (now with gettext support)
- removed obsolete dontresetiso2 patch

Revision 1.53  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.52  2004/01/05 01:22:30  undefine
- release 2

Revision 1.51  2003/12/29 19:01:53  undefine
- copy config.sub from automake to allow build on amd64

Revision 1.50  2003/10/07 22:31:03  qboosh
- up to 0.4.2, updated nolibs patch
- using autoconf now
- BR: gdk-pixbuf-devel (preferred over imlib), gc-devel

Revision 1.49  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.48  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.47  2003/05/28 13:02:39  malekith
- massive attack: source-md5

Revision 1.46  2003/05/25 06:27:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/04/12 19:59:27  qboosh
- updated to 0.4.1
- use mozilla instead of netscape as default external browser

Revision 1.44  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.43  2003/02/13 14:06:57  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.42  2003/01/05 22:28:25  qboosh
- 0.3.2.2 (now it can display images on fbdev without broken navigation :))
- added nolibs patch to kill -lnsl

Revision 1.41  2002/09/16 20:08:40  qboosh
- oops, really release 2

Revision 1.40  2002/09/16 19:58:49  qboosh
- fixed ja man page location, release 2

Revision 1.39  2002/09/03 21:51:09  qboosh
- updated to 0.3.1

Revision 1.38  2002/07/03 12:53:33  juandon
- added gzip_fallback.patch
- Release 3

Revision 1.37  2002/05/04 19:34:29  qboosh
- cleanup, fixed typos

Revision 1.36  2002/05/03 21:16:07  filon
- splitted into packages main and imgdisplay
- (img display requires X11, main not)
- removed TODO :-)
- release 2, STBR

Revision 1.35  2002/04/29 21:54:12  qboosh
- fixed configure options and ipv6 build on v4-only host, noted TODO

Revision 1.34  2002/04/29 19:45:43  filon
- updated to version 0.3 (it can display images in xterm!!!)
- updated configure parameters, STBR

Revision 1.33  2002/03/01 06:31:15  kloczek
- release 2.

Revision 1.32  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2002/01/17 21:14:36  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/01/17 20:35:16  filon
- updated to 0.2.4
- fixed docs
- fixed file attrs
- removed obsolette config andd ssl-degv patches

Revision 1.27  2001/12/24 23:13:05  qboosh
- 0.2.3.2 (some bug fixes), updated URLs and patches, fixed License
- ipv6 patch: build with v6 support on builders w/o v6 in kernel too

Revision 1.26  2001/11/04 09:26:41  orzech
- rel 2 is back - STB ASAP (current package doesn't fit to distro's
  resources)

Revision 1.25  2001/11/04 07:19:47  orzech
- release 3, STB

Revision 1.24  2001/07/19 16:21:31  qboosh
- fixed SEGV on exit after browsing https://
- added %%lang(ja) to Japanese help files
- release 2

Revision 1.23  2001/05/11 20:33:31  misiek
typos

Revision 1.22  2001/05/11 20:26:03  misiek
updated to 0.2.1

Revision 1.21  2001/05/09 02:13:33  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.20  2001/04/05 22:40:04  qboosh
- patch to not reset terminal to iso-8859-1 on exit - it was really annoying
- release 2

Revision 1.19  2001/04/04 22:18:02  qboosh
- not-constant patch - fix for compilation problem
- use %%rpmcflags instead of RPM_OPT_FLAGS

Revision 1.18  2001/03/23 01:12:39  kloczek
- updated to 0.2.0 but dio not stb because compilation fails.

Revision 1.17  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.16  2000/07/13 23:29:03  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.15  2000/06/21 13:18:56  kloczek
- removed dumb %attr() in %build (bug in adapter.awk).

Revision 1.14  2000/06/21 13:12:30  kloczek
- updated to 0.1.10,
- spec adapterized,
- added JP_CHARSET with fix compile w3m fi support for JP characters is
  disabled.

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/04 00:37:17  kloczek
- updated to 0.1.9,
- added gpm support.
TODO: fix IPv6 detction.

Revision 1.11  2000/04/10 17:44:48  mis
- removed duplicated group lines

Revision 1.10  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.8  2000/01/28 12:43:44  kloczek
- spec adapterized,
- added "Provides: webclient".

Revision 1.7  2000/01/28 12:31:14  wiget
0.1.6

Revision 1.6  1999/12/21 23:04:46  wiget
- changed for new openssl
- some new version

Revision 1.5  1999/11/19 04:00:14  kloczek
- updated to 991028,
- build agains ncurses 5.0.

Revision 1.4  1999/11/09 07:20:03  kura
- changed Group to Applications/Networking
- fixed pl translation

Revision 1.3  1999/10/27 07:00:39  kloczek
- more cvs tags.

Revision 1.2  1999/10/20 21:12:43  kloczek
- simplifications in %files.

Revision 1.1  1999/10/20 06:17:56  waszi
- initial release
